import { createRouter, createWebHistory } from "vue-router";
import HomeView from "../views/HomeView.vue";

const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes: [
		{
			path: "/",
			name: "home",
			component: HomeView,
		},
		{
			path: "/auth/login",
			name: "auth-login",
			component: () => import("../views/LoginView.vue"),
		},
		{
			path: "/@:username/statuses/:statusId",
			name: "user-status",
			component: () => import("../views/StatusView.vue"),
		},
	],
});

export default router;
